# Enum Class HtsQueryRule

java.lang.Object
java.lang.Enum<HtsQueryRule>
htsjdk.beta.plugin.interval.HtsQueryRule

All Implemented Interfaces:
  `Serializable, Comparable<HtsQueryRule>, Constable`

public enum HtsQueryRule extends Enum<HtsQueryRule>
Query rule values used to determine signal whether a query should match overlapping or contained records. For use with `HtsQuery` methods.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTAINED`
Only get records that are entirely contained with the query interval.
`OVERLAPPING`
Get all records that overlap the query interval.

## Method Summary

Modifier and Type
Method
Description
`static HtsQueryRule`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HtsQueryRule[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OVERLAPPING

public static final HtsQueryRule OVERLAPPING
Get all records that overlap the query interval.

### CONTAINED

public static final HtsQueryRule CONTAINED
Only get records that are entirely contained with the query interval.

## Method Details

### values

public static HtsQueryRule[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HtsQueryRule valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null